package org.gcube.portlets.widgets.ckancontentmoderator.client.events;

import com.google.gwt.event.shared.GwtEvent;
import com.google.gwt.user.client.ui.Frame;



/**
 * The Class NotifyLogoutEvent.
 *
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * Jun 23, 2016
 */
public class IFrameInstanciedEvent extends GwtEvent<IFrameInstanciedEventHandler> {
	public static Type<IFrameInstanciedEventHandler> TYPE = new Type<IFrameInstanciedEventHandler>();
	private Frame iFrame;


	/**
	 * Instantiates a new insert metadata event.
	 */
	public IFrameInstanciedEvent(Frame iFrame) {
		this.iFrame = iFrame;
	}

	/* (non-Javadoc)
	 * @see com.google.gwt.event.shared.GwtEvent#getAssociatedType()
	 */
	@Override
	public Type<IFrameInstanciedEventHandler> getAssociatedType() {
		return TYPE;
	}

	/* (non-Javadoc)
	 * @see com.google.gwt.event.shared.GwtEvent#dispatch(com.google.gwt.event.shared.EventHandler)
	 */
	@Override
	protected void dispatch(IFrameInstanciedEventHandler handler) {
		handler.onNewInstance(this);
	}
	
	public Frame getiFrame() {
		return iFrame;
	}

}
